<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="etiquettes" printOrder="Horizontal" pageWidth="170" pageHeight="113" orientation="Landscape" columnWidth="170" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<import value="java.util.*"/>
	<parameter name="LOGO" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["./logoINSAetiquette.jpg"]]></defaultValueExpression>
	</parameter>
	<parameter name="TICKET" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[new Integer("-6")]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select distinct
clic.CLIC_NUM_COMPLET,
jefy_admin.API_JASPER_PARAM.get_param_admin('UNIV',(select exe_ordre from jefy_admin.exercice where exe_stat='O')) as lib_univ,
dp.dpp_numero_facture,
man.man_numero,
bor.bor_num,
clic.CLIC_DUREE_AMORT,
clic.CLIC_TYPE_AMORT,
cmd.comm_numero,
pfou.pers_libelle fou_nom,
ic.INVC_DATE_ACQUISITION,
to_date(to_char(VDE.DPP_DATE_SAISIE,'ddmmyyyy')) date_livraison
from
jefy_inventaire.livraison l,
jefy_inventaire.cle_inventaire_comptable clic,
jefy_inventaire.livraison_detail ld,
jefy_inventaire.inventaire_comptable ic,
jefy_inventaire.inventaire inv,
jefy_inventaire.etiquettes_ticket et,
maracuja.plan_comptable_amo pca,
maracuja.mandat man,
maracuja.bordereau bor,
grhum.salles s,
grhum.local lo,
grhum.individu_ulr titu,
grhum.individu_ulr resp,
jefy_depense.commande cmd,
jefy_depense.depense_ctrl_planco dcp,
jefy_depense.depense_budget db,
jefy_depense.depense_papier dp,
grhum.fournis_ulr fou,
grhum.personne pfou,
jefy_inventaire.v_depense_export vde
where ic.CLIC_ID=clic.CLIC_ID
and ic.INVC_ID=inv.INVC_ID(+)
and inv.LID_ORDRE=ld.LID_ORDRE(+)
and ld.LIV_ORDRE=l.LIV_ORDRE(+)
and inv.SAL_NUMERO=s.SAL_NUMERO(+)
and s.C_LOCAL=lo.C_LOCAL(+)
and pca.PCOA_ID=clic.PCOA_ID(+)
and inv.NO_INDIVIDU_RESP=resp.NO_INDIVIDU(+)
and inv.NO_INDIVIDU_TITULAIRE=titu.NO_INDIVIDU(+)
and l.comm_id=cmd.comm_id(+)
and cmd.fou_ordre=fou.fou_ordre(+)
and fou.pers_id=pfou.pers_id(+)
and dcp.dpco_id=ic.dpco_id
and db.DEP_ID=dcp.DEP_ID
and dp.dpp_id=db.DPP_ID
and dcp.MAN_ID=man.man_id(+)
and man.bor_id=bor.bor_id(+)
and VDE.MAN_NUMERO= MAN.MAN_NUMERO
and clic.clic_num_complet is not null
and ET.CLIC_ID =CLIC.CLIC_ID
and et.TICKET = $P{TICKET}
order by clic.CLIC_NUM_COMPLET--,l.COMM_ID--,DPCO_ID]]>
	</queryString>
	<field name="CLIC_NUM_COMPLET" class="java.lang.String"/>
	<field name="LIB_UNIV" class="java.lang.String"/>
	<field name="DPP_NUMERO_FACTURE" class="java.lang.String"/>
	<field name="MAN_NUMERO" class="java.math.BigDecimal"/>
	<field name="BOR_NUM" class="java.math.BigDecimal"/>
	<field name="CLIC_DUREE_AMORT" class="java.math.BigDecimal"/>
	<field name="CLIC_TYPE_AMORT" class="java.lang.String"/>
	<field name="COMM_NUMERO" class="java.math.BigDecimal"/>
	<field name="FOU_NOM" class="java.lang.String"/>
	<field name="INVC_DATE_ACQUISITION" class="java.sql.Timestamp"/>
	<field name="DATE_LIVRAISON" class="java.sql.Timestamp"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="113" splitType="Prevent">
			<textField pattern="dd/MM/yyyy" isBlankWhenNull="true">
				<reportElement key="textField" x="10" y="80" width="49" height="11"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DATE_LIVRAISON}]]></textFieldExpression>
			</textField>
			<textField pattern="##0" isBlankWhenNull="false">
				<reportElement key="textField" x="61" y="97" width="13" height="13"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{CLIC_DUREE_AMORT}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-4" x="76" y="97" width="19" height="13"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Justified"/>
				<text><![CDATA[ans]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-8" x="8" y="99" width="59" height="13"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[amortissement]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-9" x="8" y="69" width="52" height="11"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<text><![CDATA[acquisition]]></text>
			</staticText>
			<componentElement>
				<reportElement x="80" y="17" width="78" height="77"/>
				<jr:DataMatrix xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" textPosition="bottom" shape="force-square">
					<jr:codeExpression><![CDATA[$F{CLIC_NUM_COMPLET}+" "+ $F{FOU_NOM}+" No Fact "+$F{DPP_NUMERO_FACTURE}+" No BdC "+$F{COMM_NUMERO}+" No Bord "+$F{BOR_NUM}+" No Mand "+$F{MAN_NUMERO}]]></jr:codeExpression>
				</jr:DataMatrix>
			</componentElement>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="23" y="48" width="47" height="15"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
